body {
    margin: 0;
    padding: 0;
    background: rgb(252, 252, 252);
 }
 .center {
    display: block;
    margin-left: auto;
    margin-right: auto;
    margin-top: -10px;
    width: 200px;
}
.login-form{
     position: absolute;
     width: 300px;
     height: 320px;
     left: 30%;
     top: 15%;
     background: #fff;
     transform: translateX(-50) translateY(-50%); 
     border-radius: 5px;
     border-block-end-color: #000000;
     padding:  20px;
     box-sizing: border-box;
     overflow: hidden;
 }
 .front-face{
     position: absolute;
     left: 0;
     top: 0;
     width: 100%;
     height: 100%;
     background: #3b5998;
     z-index: 2;
     transition: all 0.5s ease-in-out;
 }
 .login-form:hover .front-face, .login-form.focused > .front-face{
     width: 30px;
     transition: all 0.5s ease-in-out;
 }
 .login-form:hover .front-face>.text, .login-form.focused > .front-face > .text{
     font-size: 1rem;
     transform: rotate(-90deg);
     transition: all 0.5s ease-in-out;
 }
 .login-form.loading > .front-face{
     width: 100%;
 }
 .login-form.loading > .front-face > .text{
     display: none;
 }
 .login-form.loading > .front-face > .loader{
     display: block;
 }
 .front-face>.text{
     font-size: 5rem;
     font-family: sans-serif,Arial;
     color: #fff;
     text-align: center;
     display: block;
     line-height: 300px;
     transition: all 0.5s ease-in-out;
 }
 .register{
    font-family: sans-serif,Arial;
    color: #2196f3;
    text-align:auto;
    display: block;
    line-height: normal;
    margin-top: 30px;
    margin-left: auto;
 }
.login-form>form{
    width: 200px;
    margin: 0 auto;
}
.login-form>form>.input{
    width: 100%;
    height: 50px;
    outline: none;
    border: 0px;
    font-size: 20px;
    font-family: sans-serif,Arial;
    border-bottom: 2px solid #3b5998;
    color: #3b5998;

}
.input-btn{
    width: 70px;
    height: 70px;
    background: #3b5998;
    position: absolute;
    bottom: 15px;
    right: 15px;
    z-index: 1;
    outline: none;
    border: 5px solid transparent;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.5s ease-in-out;
}
.input-btn:after{
    content: "";
    position: absolute;
    width: 0;
    height: 0;
    border-left: 30px solid transparent;
    border-right: 30px solid #fff;
    border-bottom: 30px solid transparent;
    left: -15px;
    transform: rotate(45deg);
    top: 5px;
    transition: all 0.5s ease-in-out;
}
.input-btn:hover,.input-btn:focus,.input-btn:active{
    border: 5px solid #3b5998;
    background: #fff;
}
.input-btn:hover:after,.input-btn:focus:after,.input-btn:active:after{
    border-right: 30px solid #3b5998;
}
.front-face> .loader{
display: none;
position: absolute;
width: 150px;
height: 150px;
border: 2px solid #fff;
border-radius: 50%;
margin: 75px  75px;
animation: loading 2s linear;
animation-iteration-count: 2;
}
.front-face>.loader:after{
    content: "";
    position: absolute;
    left: 65px;
    top: -10px;
    width: 20px;
    height: 20px;
    background: #fff;
    border-radius: 50%;
}
@keyframes loading{
            50%{
        opacity: 0.5;
    }
    100%{
        transform: rotate(360deg);
      }
}